DSSSL Library Reference: Part of the Modular DocBook Stylesheet distribution
Prev |  | Next

# case-fold-down-charlist

## Name

case-fold-down-charlist -- Return the list of characters, shifted to lowercase

## Synopsis

    (case-fold-down-charlist charlist)

## Description

Shifts all of the characters in `charlist` to lowercase with `case-fold-down-char`.

## Author

Norman Walsh, <ndw@nwalsh.com>

## Source Code

    (define (case-fold-down-charlist charlist)
      ;; Return the list of characters, shifted to lowercase
      (if (null? charlist)
          '()
          (cons (case-fold-down-char (car charlist))
    	    (case-fold-down-charlist (cdr charlist)))))

Prev | Home | Next
case-fold-up-char | Up | case-fold-up-charlist